summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Build/source/texk/web2c/ChangeLog6
-rwxr-xr-xBuild/source/texk/web2c/pmpostdir/pmpsamp.test6
-rwxr-xr-xBuild/source/texk/web2c/pmpostdir/upmpsamp.test6
-rw-r--r--Master/texmf-dist/tex/ptex/base/eptex.src2
-rw-r--r--Master/texmf-dist/tex/uptex/base/euptex.src2
5 files changed, 18 insertions, 4 deletions
diff --git a/Build/source/texk/web2c/ChangeLog b/Build/source/texk/web2c/ChangeLog
index 822cb9a225c..76c245e5c73 100644
--- a/Build/source/texk/web2c/ChangeLog
+++ b/Build/source/texk/web2c/ChangeLog
@@ -1,3 +1,9 @@
+2014-10-26 Karl Berry <karl@tug.org>
+
+ * pmpostdir/pmpsamp.test,
+ * pmpostdir/upmpsamp.test: check that e[u]ptex can read their .fmt
+ files, since that is what [u]pmpost is going to do.
+
2014-09-25 Peter Breitenlohner <peb@mppmu.mpg.de>
* w2c/config.h: Bug fix: integer64 must always be a 64bit type,
diff --git a/Build/source/texk/web2c/pmpostdir/pmpsamp.test b/Build/source/texk/web2c/pmpostdir/pmpsamp.test
index aba36e6dcba..9c55e488477 100755
--- a/Build/source/texk/web2c/pmpostdir/pmpsamp.test
+++ b/Build/source/texk/web2c/pmpostdir/pmpsamp.test
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/sh -vx
# Copyright (C) 2014 Peter Breitenlohner <tex-live@tug.org>
# You may freely use, modify and/or distribute this file.
@@ -26,8 +26,12 @@ VFFONTS="$srcdir/$tests;`dirname $vfpath`"
export TEXMFCNF TFMFONTS MPINPUTS TEXFONTMAPS T1FONTS VFFONTS
+# check that we have eptex at all.
eptex -version >/dev/null 2>&1 || exit 77
+# ensure that eptex.fmt exists and can be read.
+eptex \\end >/dev/null 2>&1 || exit 77
+
echo 'input plain;' >pmpsamp.mp
cat "$srcdir/$tests/psample.mp" >>pmpsamp.mp
diff --git a/Build/source/texk/web2c/pmpostdir/upmpsamp.test b/Build/source/texk/web2c/pmpostdir/upmpsamp.test
index f4dfe95e3ae..fcdb285e791 100755
--- a/Build/source/texk/web2c/pmpostdir/upmpsamp.test
+++ b/Build/source/texk/web2c/pmpostdir/upmpsamp.test
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/sh -vx
# Copyright (C) 2014 Peter Breitenlohner <tex-live@tug.org>
# You may freely use, modify and/or distribute this file.
@@ -26,8 +26,12 @@ VFFONTS="$srcdir/$tests;`dirname $vfpath`"
export TEXMFCNF TFMFONTS MPINPUTS TEXFONTMAPS T1FONTS VFFONTS
+# check that we have euptex at all.
euptex -version >/dev/null 2>&1 || exit 77
+# ensure that euptex.fmt exists and can be read.
+euptex \\end >/dev/null 2>&1 || exit 77
+
echo 'input plain;' >upmpsamp.mp
cat "$srcdir/$tests/psample.mp" >>upmpsamp.mp
diff --git a/Master/texmf-dist/tex/ptex/base/eptex.src b/Master/texmf-dist/tex/ptex/base/eptex.src
index b991b0850b8..6861db6a63f 100644
--- a/Master/texmf-dist/tex/ptex/base/eptex.src
+++ b/Master/texmf-dist/tex/ptex/base/eptex.src
@@ -83,7 +83,7 @@
% Read "ptex.tex" (\patterns & \hyphenation will be skipped)
-\input ptex
+\input ptex.tex
% restore the catcode of commercial-at (@), which will just have been clobbered
diff --git a/Master/texmf-dist/tex/uptex/base/euptex.src b/Master/texmf-dist/tex/uptex/base/euptex.src
index 6431be942e7..2678731fe11 100644
--- a/Master/texmf-dist/tex/uptex/base/euptex.src
+++ b/Master/texmf-dist/tex/uptex/base/euptex.src
@@ -82,7 +82,7 @@
% Read "uptex.tex" (\patterns & \hyphenation will be skipped)
-\input uptex
+\input uptex.tex
% restore the catcode of commercial-at (@), which will just have been clobbered